aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-purl/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-06 20:31:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-22 08:23:15 +0000
commit3cb539a97d20bcfb57420533156ad01540fe7540 (patch)
tree4a10e9f2387a1f5cf108df9c032ef5fe005f7af1 /testing/py-purl/APKBUILD
parent3f75aadf659ad830dd08317f608c7a0331ed8c5a (diff)
downloadaports-3cb539a97d20bcfb57420533156ad01540fe7540.tar.gz
aports-3cb539a97d20bcfb57420533156ad01540fe7540.tar.bz2
aports-3cb539a97d20bcfb57420533156ad01540fe7540.tar.xz
testing/py-purl: new aport
An immutable Python URL class for easy URL-building and manipulation https://github.com/codeinthehole/purl
Diffstat (limited to 'testing/py-purl/APKBUILD')
-rw-r--r--testing/py-purl/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-purl/APKBUILD b/testing/py-purl/APKBUILD
new file mode 100644
index 0000000000..2bebe9bcf4
--- /dev/null
+++ b/testing/py-purl/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-purl
+_pkgname=purl
+pkgver=0.8
+pkgrel=0
+pkgdesc="An immutable Python URL class for easy URL-building and manipulation"
+url="https://github.com/codeinthehole/purl"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="92729dbfafc9ac6d33583a3e090152cc purl-0.8.tar.gz"
+sha256sums="6a9f118641f168d880834fd750af1478c0ebd2d628af6a29516a1a712c91d4bb purl-0.8.tar.gz"
+sha512sums="41b60cb0c9827e9bad1310988599c8b52ea46de65b431367b69a1e75f9ec8976a58e9fc2bfdf94054fb083eb061c508faf93b48c259353cd9813dc2c05550b84 purl-0.8.tar.gz"